
#ifndef JOPEN_H
#define JOPEN_H

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <stddef.h>
#include <string.h>
#define STRSIZE 255
/*
Open file arg. 1: absolute path or relative path to the current directory. If relative path then search the current directory then the default directory (arg. 2), if no extension then uses extension arg3
      fd = jopen("cervin","/home/jroux","jpg");
      fd = jopen("cervin","/home/jroux/",".jpg");
      fd = jopen("/home/jroux/cervin.jpg","","");
      fd = jopen("foo","../lib","bar");
*/

FILE* jopen(char* nom, char* defdir, char* defext);
/* 
   recursive file inclusion (#include foo.bar) 
   inlining shell command output flagged by a ! in col. 1, 
   such as : '! foo_shell arg1 arg2...'
   "-" to include stdin ;  result to stdout.
*/
int inclure(char *fich, char *defdir, char *defext); 

#endif /* JOPEN_H */
 
